import request from '@/utils/request'

export function listMilestone(query) {
  return request({
    url: '/progress/milestone/list',
    method: 'get',
    params: query
  })
}

export function getMilestone(id) {
  return request({
    url: '/progress/milestone/' + id,
    method: 'get'
  })
}

export function addMilestone(data) {
  return request({
    url: '/progress/milestone',
    method: 'post',
    data: data
  })
}

export function updateMilestone(data) {
  return request({
    url: '/progress/milestone',
    method: 'put',
    data: data
  })
}

export function delMilestone(id) {
  return request({
    url: '/progress/milestone/' + id,
    method: 'delete'
  })
}
